Index: trunk/gsdl3/web/interfaces/nzdl/transform/home.xsl
===================================================================
--- trunk/gsdl3/web/interfaces/nzdl/transform/home.xsl	(revision 6682)
+++ trunk/gsdl3/web/interfaces/nzdl/transform/home.xsl	(revision 6683)
@@ -8,6 +8,6 @@
 
   <xsl:include href="style.xsl"/>
-  <xsl:include href="home_text.xsl"/>
-  <xsl:include href="page_common.xsl"/>
+  <xsl:include href="home-text.xsl"/>
+  <xsl:include href="page-common.xsl"/>
 
   <xsl:output method="html"/>  
@@ -51,4 +51,6 @@
 	<table><tr valign='middle'><td><img src="interfaces/nzdl/images/gbull.gif"/></td><td><a href="mailto:greenstone@cs.waikato.ac.nz">Feedback</a></td></tr></table>
 	<table><tr valign='middle'><td><img src="interfaces/nzdl/images/gbull.gif"/></td><td><a href="http://www.nzdl.org/html/people.html">People</a></td></tr></table>
+	<table><tr valign='middle'><td><img src="interfaces/nzdl/images/gbull.gif"/></td><td><a href="http://greenstone.cs.uct.ac.za/gsdl/cgi-bin/library">African Digital Library Centre</a></td></tr></table>
+<table><tr valign='middle'><td><img src="interfaces/nzdl/images/gbull.gif"/></td><td><a href="http://sadl.uleth.ca">Southern Alberta Digital Library Centre</a></td></tr></table>
       </td>
       <td><xsl:call-template name="textprojinfo"/></td>
@@ -63,6 +65,6 @@
     <tr valign='top'>
       <td>
-	<table><tr valign='middle'><td><img src="interfaces/nzdl/images/gbull.gif"/></td><td><a href="{$library_name}?a=p&amp;sa=gsdl">About<br />Greenstone</a></td></tr></table>
-	
+	<table><tr valign='middle'><td><img src="interfaces/nzdl/images/gbull.gif"/></td><td><a href="{$library_name}?a=p&amp;sa=gsdl">About<br />Greenstone 2</a></td></tr></table>
+	<table><tr valign='middle'><td><img src="interfaces/nzdl/images/gbull.gif"/></td><td><a href="http://www.greenstone.org/english/docs.html">Greenstone 2<br />Documentation</a></td></tr></table>
       </td>
       <td><xsl:call-template name="textsoftwareinfo"/></td>
@@ -85,5 +87,5 @@
     </tr>
     
-    <tr valign='top'>
+<!--    <tr valign='top'>
       <td>
 	<table><tr valign='middle'><td><img src="interfaces/nzdl/images/gbull.gif"/></td><td><a href="http://nzdl2.cs.waikato.ac.nz/cgi-bin/zdemo/library">Z39.50<br />demo</a></td></tr></table>
@@ -91,5 +93,5 @@
 	We have an experimental facility for searching Z39.50 collections using  Greenstone.  Ultimately we plan a full bibliographic search facility, with  the ability to combine tests on different fields, and to be able to search multiple collections, including cross-searching Greenstone and Z39.50 collections.
       </td>
-    </tr>
+    </tr>-->
   </xsl:template>
 
@@ -103,6 +105,11 @@
 	<img src="interfaces/nzdl/images/ghproj.jpg" alt="Human Info NGO" width='100' height='90'/>
       </td>
-      <td><xsl:call-template name="textaffiliateinfo"/></td>
-    </tr>
+      <td><xsl:call-template name="textaffiliatehumaninfo"/></td>
+    </tr>
+    <tr valign='top'>
+      <td><img src="interfaces/nzdl/images/unesco.gif" alt="UNESCO" width='100' height='90' />
+      </td>
+      <td><xsl:call-template name='textaffiliateunesco'/></td>
+      </tr>
   </xsl:template>
   
@@ -137,25 +144,31 @@
       <tr valign='top'>
 	<td align='center'>
-	  <p />hdl<xsl:apply-templates select="collection[@name='hdl']"/> 
-	  <p />envl<xsl:apply-templates select="collection[@name='envl']"/> 
-	  <p />aginfo<xsl:apply-templates select="collection[@name='aginfo']"/> 
-	  <p />gtz<xsl:apply-templates select="collection[@name='gtz']"/> 
-	  <p />who<xsl:apply-templates select="collection[@name='who']"/> 
+	  <p /><xsl:apply-templates select="collection[@name='hdl']"/> 
+	  <p /><xsl:apply-templates select="collection[@name='fnl']"/>
+ 	  <p /><xsl:apply-templates select="collection[@name='envl']"/> 
+	  <p /><xsl:apply-templates select="collection[@name='aginfo']"/> 
+	  <p /><xsl:apply-templates select="collection[@name='gtz']"/> 
+	  <p /><xsl:apply-templates select="collection[@name='cdl']"/> 
+	  <p />firstaid<xsl:apply-templates select="collection[@name='firstaid']"/>
 	</td>
 	<td align='center'>
 	  <p /><xsl:apply-templates select="collection[@name='mhl']"/> 
-	  <p />fnl<xsl:apply-templates select="collection[@name='fnl']"/> 
-	  <p />paho<xsl:apply-templates select="collection[@name='paho']"/> 
-	  <p />fi1998<xsl:apply-templates select="collection[@name='fi1998']"/> 
-	  <p />faodocs<xsl:apply-templates select="collection[@name='faodocs']"/> 
-	  <p />firstaid<xsl:apply-templates select="collection[@name='firstaid']"/>
+	  <p /><xsl:apply-templates select="collection[@name='fnl1_1']"/> 
+	  <p /><xsl:apply-templates select="collection[@name='paho']"/>
+	  <p /><xsl:apply-templates select="collection[@name='unesco']"/>
+          <p /><xsl:apply-templates select="collection[@name='muster']"/>
+	  <p /><xsl:apply-templates select="collection[@name='aedl']"/>
+	  <p /><xsl:apply-templates select="collection[@name='fi1998']"/> 
+
 	</td>
 	<td align='center'> 
-	  <p />ccgi<xsl:apply-templates select="collection[@name='ccgi']"/> 
-	  <p />fnl_1<xsl:apply-templates select="collection[@name='fnl_1']"/> 
-	  <p />tulane<xsl:apply-templates select="collection[@name='tulane']"/> 
-	  <p />unesco<xsl:apply-templates select="collection[@name='unesco']"/> 
- 	  <p />ipc<xsl:apply-templates select="collection[@name='ipc']"/> 
-	  <p />povsem<xsl:apply-templates select="collection[@name='povsem']"/> 
+	  <p /><xsl:apply-templates select="collection[@name='ccgi']"/> 
+	  <p /><xsl:apply-templates select="collection[@name='fnl2.2']"/> 
+	  <p /><xsl:apply-templates select="collection[@name='who']"/> 
+	  <p /><xsl:apply-templates select="collection[@name='tulane']"/> 
+	  <p /><xsl:apply-templates select="collection[@name='unaids']"/> 
+ 	  <p /><xsl:apply-templates select="collection[@name='ipc']"/> 
+	  <p /><xsl:apply-templates select="collection[@name='povsem']"/>
+	  <p /><xsl:apply-templates select="collection[@name='faodocs']"/>  
 	</td>
       </tr>
@@ -170,28 +183,31 @@
 	  <p /><xsl:apply-templates select="collection[@name='niupepa']"/> 
 	  <p />howto DL<xsl:apply-templates select="collection[@name='howto']"/> 
-	  <p />arabic<xsl:apply-templates select="collection[@name='arabic']"/> 
+	  <p /><xsl:apply-templates select="collection[@name='arabic']"/> 
 	  <p /><xsl:apply-templates select="collection[@name='chinese']"/> 
- 	  <p />folktale<xsl:apply-templates select="collection[@name='folktale']"/> 
-	  <p />rocky<xsl:apply-templates select="collection[@name='rocky']"/> 
-	  <p />tidbits<xsl:apply-templates select="collection[@name='tidbits']"/> 
+ 	  <p /><xsl:apply-templates select="collection[@name='folktale']"/> 
+	  <p /><xsl:apply-templates select="collection[@name='demooai']"/> 
+	  <p /><xsl:apply-templates select="collection[@name='tidbits']"/> 
+	  <p /><xsl:apply-templates select="collection[@name='tcc']"/>
+	  <p /><xsl:apply-templates select="collection[@name='jair']"/>  
 	</td>
 	<td align='center'>
 	  <p />meldex<xsl:apply-templates select="collection[@name='meldex']"/> 
-	  <p />wordpdf<xsl:apply-templates select="collection[@name='wordpdf']"/> 
-	  <p />musvid<xsl:apply-templates select="collection[@name='musvid']"/> 
-	  <p />gberg<xsl:apply-templates select="collection[@name='gberg']"/> 
- 	  <p />allshake<xsl:apply-templates select="collection[@name='allshake']"/> 
-	  <p />csbib<xsl:apply-templates select="collection[@name='csbib']"/> 
+	  <p /><xsl:apply-templates select="collection[@name='wordpdf']"/> 
+	  <p /><xsl:apply-templates select="collection[@name='musvid']"/> 
+	  <p /><xsl:apply-templates select="collection[@name='gberg']"/> 
+ 	  <p /><xsl:apply-templates select="collection[@name='allshake']"/> 
+	  <p /><xsl:apply-templates select="collection[@name='aircraft']"/> 
+	  <p /><xsl:apply-templates select="collection[@name='csbib']"/> 
 	  <p /><xsl:apply-templates select="collection[@name='coltbib']"/> 
-	  <p />aircraft<xsl:apply-templates select="collection[@name='aircraft']"/> 
-	</td>
-	<td align='center'>
-	  <p />cstr<xsl:apply-templates select="collection[@name='cstr']"/> 
-	  <p />gsarch<xsl:apply-templates select="collection[@name='gsarch']"/> 
-	  <p />ohist<xsl:apply-templates select="collection[@name='ohist']"/> 
-	  <p />hcibib<xsl:apply-templates select="collection[@name='hcibib']"/> 
- 	  <p />whist<xsl:apply-templates select="collection[@name='whist']"/> 
-	  <p />acrodemo<xsl:apply-templates select="collection[@name='acrodemo']"/> 
-	  <p />tcc<xsl:apply-templates select="collection[@name='tcc']"/> 
+	</td>
+	<td align='center'>
+	  <p /><xsl:apply-templates select="collection[@name='cstr']"/> 
+	  <p /><xsl:apply-templates select="collection[@name='gsarch']"/> 
+	  <p /><xsl:apply-templates select="collection[@name='ohist']"/> 
+	  <p /><xsl:apply-templates select="collection[@name='hcibib']"/> 
+ 	  <p /><xsl:apply-templates select="collection[@name='whist']"/> 
+	  <p /><xsl:apply-templates select="collection[@name='beowulf']"/>
+	  <p /><xsl:apply-templates select="collection[@name='acrodemo']"/> 
+	  
 	</td>
       </tr>