Index: trunk/gsdl3/web/interfaces/nzdl/transform/style.xsl
===================================================================
--- trunk/gsdl3/web/interfaces/nzdl/transform/style.xsl	(revision 6687)
+++ trunk/gsdl3/web/interfaces/nzdl/transform/style.xsl	(revision 6688)
@@ -78,4 +78,5 @@
   
   <xsl:template name="genericPageBanner">
+    <xsl:param name='text'/>
     <xsl:variable name="lang" select="/page/@lang"/>
     <center>
@@ -93,5 +94,5 @@
       </table>
     </center>
-    <xsl:call-template name="dividerBar"/>
+    <xsl:call-template name="dividerBar"><xsl:with-param name='text' select="$text"/></xsl:call-template>
   </xsl:template>
   
@@ -130,11 +131,11 @@
 	      <td xsl:use-attribute-sets="td-brownbutton">
 		<a style="text-decoration:none" href="{$library_name}?a=p&amp;sa=home">
-		  <b><font color='{$colour-button-text}'><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'home_b')"/></font></b>
+		  <b><small><font color='{$colour-button-text}'><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'home_b')"/></font></small></b>
 		</a>
 	      </td>
-	      <xsl:choose>
+<!--	      <xsl:choose>
 		<xsl:when test="$pageType='help'">
 		  <td xsl:use-attribute-sets="td-brownbutton-off">
-		    <b><font color='{$colour-button-text}'><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'help_b')"/></font></b>
+		    <b><small><font color='{$colour-button-text}'><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'help_b')"/></font></small></b>
 		  </td>
 		</xsl:when>
@@ -142,13 +143,13 @@
 		  <td xsl:use-attribute-sets="td-brownbutton">
 		    <a style="text-decoration:none" href="{$library_name}?a=p&amp;sa=help&amp;c={$collName}">
-		      <b><font color='{$colour-button-text}'><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'help_b')"/></font></b>
+		      <b><small><font color='{$colour-button-text}'><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'help_b')"/></font></small></b>
 		    </a>
 		  </td>
 		</xsl:otherwise>
-	      </xsl:choose>
+	      </xsl:choose>-->
 	      <xsl:choose>
 		<xsl:when test="$pageType='pref'">
 		  <td  xsl:use-attribute-sets="td-brownbutton-off">
-		    <b><font color='{$colour-button-text}'><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'pref_b')"/></font></b>
+		    <b><small><font color='{$colour-button-text}'><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'pref_b')"/></font></small></b>
 		  </td>
 		</xsl:when>
@@ -156,5 +157,5 @@
 		  <td xsl:use-attribute-sets="td-brownbutton">
 		    <a title="xxpref" style="text-decoration:none" href="{$library_name}?a=p&amp;sa=pref&amp;c={$collName}">
-		      <b><font color='{$colour-button-text}'><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'pref_b')"/></font></b>
+		      <b><small><font color='{$colour-button-text}'><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'pref_b')"/></font></small></b>
 		    </a>
 		  </td>
@@ -177,9 +178,8 @@
 	</xsl:variable>
 	<tr>
-	  <td align='right' width="200" height="57" background='interfaces/nzdl/images/titleicon.gif'><font size="+2" color='black'><xsl:value-of select="$text"/>&#160;&#160;</font></td>
+	  <td valign='top' align='right' width="200" height="57" background='interfaces/nzdl/images/titleicon.gif'><b><font size="+2" color='black'><xsl:value-of select="$text"/>&#160;&#160;</font></b></td>
 	</tr>
       </xsl:if>
     </table>
-    <p/>
   </xsl:template>
   
@@ -215,5 +215,4 @@
       </tr>
     </table>
-    <br/>
   </xsl:template>
 
@@ -261,6 +260,6 @@
   <xsl:template name="dividerBar">
     <xsl:param name='text'/>
-    <br/><table width='537' border="0" cellpadding="0" cellspacing="0">
-      <tr><td valign='bottom' height='20' background='interfaces/default/images/greenbar.gif'><font size="+1" color="black"><b>&#160;<xsl:value-of select='$text'/></b></font></td></tr></table><br/>
+    <p><table width='537' border="0" cellpadding="0" cellspacing="0">
+      <tr><td valign='bottom' height='20' background='interfaces/default/images/greenbar.gif'><font size="+1" color="black"><b>&#160;<xsl:value-of select='$text'/></b></font></td></tr></table></p>
   </xsl:template>
   
@@ -278,4 +277,5 @@
     <xsl:attribute name='height'>20</xsl:attribute>
     <xsl:attribute name='align'>center</xsl:attribute>
+    <xsl:attribute name='valign'>bottom</xsl:attribute>
   </xsl:attribute-set>
   
@@ -284,4 +284,5 @@
     <xsl:attribute name='height'>20</xsl:attribute>
     <xsl:attribute name='align'>center</xsl:attribute>
+  <xsl:attribute name='valign'>bottom</xsl:attribute>	
   </xsl:attribute-set>
   