Index: /trunk/greenorg/macros/base.dm
===================================================================
--- /trunk/greenorg/macros/base.dm	(revision 6792)
+++ /trunk/greenorg/macros/base.dm	(revision 6793)
@@ -37,5 +37,5 @@
 # 5. image alt text
 _gsimage_ {<a href="_1_" onMouseover="roll('_4_',1);" onMouseOut="roll('_4_',0);"><img
-name="_4_" src="_2_" onLoad="gbutton(this,'_3_');" border=0 alt="_5_" title="_5_"></a>}
+name="_4_" src="_2_" onLoad="gbutton(this,'_3_');" border="0" alt="_5_" title="_5_"></a>}
 _gsimage_ [v=1] {<a href="_1_">_5_</a><br>}
 
@@ -44,4 +44,10 @@
 _javalinks_ {_imagepref_}
 _javalinks_ [v=1] {_imagepref_}
+
+_imagedocs_ {_gsimage_(_httppagex_(docs),_httpicontdocsof_,_httpicontdocson_,docs,_textimagedocs_)}
+_imagedownload_ {_gsimage_(_httppagex_(download),_httpicontdlof_,_httpicontdlon_,download,_textimagedownload_)}
+_imageexamples_ {_gsimage_(_httppagex_(examples),_httpicontexmplof_,_httpicontexmplon_,examples,_textimageexamples_)}
+_imagefaq_ {_gsimage_(_httppagex_(faq),_httpicontfaqof_,_httpicontfaqon_,faq,_textimagefaq_)}
+_imagesupport_ {_gsimage_(_httppagex_(support),_httpicontsupof_,_httpicontsupon_,support,_textimagesupport_)}
 
 _new_ {
Index: /trunk/greenorg/macros/english.dm
===================================================================
--- /trunk/greenorg/macros/english.dm	(revision 6792)
+++ /trunk/greenorg/macros/english.dm	(revision 6793)
@@ -9,4 +9,10 @@
 _textimagepref_ {Preferences page}
 
+_textimagedocs_ {Docs}
+_textimagedownload_ {Download}
+_textimageexamples_ {Examples}
+_textimagefaq_ {FAQ}
+_textimagesupport_ {Support}
+
 
 #------------------------------------------------------------
@@ -18,4 +24,24 @@
 _httpiconcprefon_ {_httpimg_/cprefon.gif}
 
+
+## "docs" ## nav_bar_button ## tdocs ##
+_httpicontdocsof_ {_httpimg_/docsof.gif}
+_httpicontdocson_ {_httpimg_/docson.gif}
+
+## "download" ## nav_bar_button ## tdl ##
+_httpicontdlof_ {_httpimg_/dlof.gif}
+_httpicontdlon_ {_httpimg_/dlon.gif}
+
+## "examples" ## nav_bar_button ## texmpl ##
+_httpicontexmplof_ {_httpimg_/exmplof.gif}
+_httpicontexmplon_ {_httpimg_/exmplon.gif}
+
+## "faq" ## nav_bar_button ## tfaq ##
+_httpicontfaqof_ {_httpimg_/faqof.gif}
+_httpicontfaqon_ {_httpimg_/faqon.gif}
+
+## "support" ## nav_bar_button ## tsup ##
+_httpicontsupof_ {_httpimg_/supof.gif}
+_httpicontsupon_ {_httpimg_/supon.gif}
 
 
Index: /trunk/greenorg/macros/style.dm
===================================================================
--- /trunk/greenorg/macros/style.dm	(revision 6792)
+++ /trunk/greenorg/macros/style.dm	(revision 6793)
@@ -64,14 +64,5 @@
 <p>
 <nobr>
-<a href="_httppagex_(download)" onMouseover="roll('download',1);" onMouseOut="roll('download',0);"><img
-name="download" src="_httpimg_/dlof.gif" onLoad="gbutton(this,'_httpimg_/dlon.gif');" border="0"></a><img 
-src="_httpimg_/tspace.gif" width="25" height="17"><a href="_httppagex_(examples)" onMouseover="roll('exmpl',1);" onMouseOut="roll('exmpl',0);"><img
-name="exmpl" src="_httpimg_/exmplof.gif" onLoad="gbutton(this,'_httpimg_/exmplon.gif');" border="0"></a><img 
-src="_httpimg_/tspace.gif" width="25" height="17"><a href="_httppagex_(docs)" onMouseover="roll('docs',1);" onMouseOut="roll('docs',0);"><img
-name="docs" src="_httpimg_/docsof.gif" onLoad="gbutton(this,'_httpimg_/docson.gif');" border="0"></a><img 
-src="_httpimg_/tspace.gif" width="25" height="17"><a href="_httppagex_(faq)" onMouseover="roll('faq',1);" onMouseOut="roll('faq',0);"><img
-name="faq" src="_httpimg_/faqof.gif" onLoad="gbutton(this,'_httpimg_/faqon.gif');" border="0"></a><img 
-src="_httpimg_/tspace.gif" width="25" height="17"><a href="_httppagex_(support)" onMouseover="roll('sup',1);" onMouseOut="roll('sup',0);"><img
-name="sup" src="_httpimg_/supof.gif" onLoad="gbutton(this,'_httpimg_/supon.gif');" border="0"></a>
+_imagedownload_<img src="_httpimg_/tspace.gif" width="25" height="17">_imageexamples_<img src="_httpimg_/tspace.gif" width="25" height="17">_imagedocs_<img src="_httpimg_/tspace.gif" width="25" height="17">_imagefaq_<img src="_httpimg_/tspace.gif" width="25" height="17">_imagesupport_
 </nobr>
 </p>