Index: trunk/gli/help/ru/help.xml
===================================================================
--- trunk/gli/help/ru/help.xml	(revision 6797)
+++ trunk/gli/help/ru/help.xml	(revision 6798)
@@ -175,4 +175,7 @@
              Ð³Ð®ÐÐÐšÐ ÐšÐ ÐÐÐÐÐÐÐÐ¥Ð¥
           </ContentsItem>
+	  <ContentsItem>
+	     ÐÐŸÐ»Ð»ÐµÐºÑÐžÐž ÐœÐ°ÑÐ»ÐµÐŽÑÑÐ²Ð°
+	  </ContentsItem>
         </ContentsGroup>
       </Contents>
@@ -182,4 +185,9 @@
  <Anchor name="advanced">Ð¿Ð®Ð¯Ð¬Ð¥ÐÐÐÐÐšÐ Ð¥ÐÐ¯Ð ÐÐ¡ÐÐÐ¥Ð¥:</Anchor>
  Ð± Ð¯ÐÐ¡ÐÐ®Ð, ÐÐ¯ÐÐ¥ ÐÐÐÐ­Ð¬Ð ÐÐÐ ÐÐÐÐ® ÐÐÐÐŠÐÐ®ÐÐÐ® Ð°Ð¥ÐÐÐ¥ÐÐ ÐÐÐÐÐŠÐ Ð¥ÐÐ ÐÐÐ¢ÐÐÐ¯Ð® Greenstone ÐÐÐÐÐ¥Ð Ð¯Ðª ÐÐÐÐÐÐÐÐÐÐÐÐ, ÐÐÐÐÐÐ®ÐÐ ÐÐšÐ ÐÐ¥ÐÐÐÐ ÐÐ¥Ð¥ "ÐÐ®ÐÐÐšÐ Ðš",ÐÐ ÐÐÐš ÐÐÐÐÐÐ ÐÐÐ®Ð Ð¥Ð Ð­ ÐÐ®ÐÐÐ€ÐÐÐ¥Ð.ÐŸÐÐ¥ ÐÐ ÐÐÐšÐ Ð¥Ð¥ ÐÐÐÐÐÐÐÐ¥Ð¥ ÐÐÐÐÐÐ­Ð¬ÐÐ ÐÐÐÐÐÐÐÐšÐ ÐÐÐÐÐ¥ÐÐ¡Ð§Ð«Ð¥Ð Ð¢Ð®ÐÐ Ð¯ÐÐÐÐ®ÐÐ Ð¯Ðª Ð ÐâŠ ÐÐ®ÐÐÐ.ÐŸÐÐÐÐ ÐÐ ÐÐÐšÐ Ð¥ÐÐ ÐÐÐÐÐÐÐÐ¥Ð¥ Ð°Ð¥ÐÐÐ¥ÐÐ ÐÐÐÐšÐ Ð¥ÐÐ ÐÐÐ¢ÐÐÐ¯ ÐÐÐÐ¥ÐÐÐÐÐ¥Ð  ÐÐÐÐÐÐÐÐ¡,ÐÐ ÐÐÐš Ð¡ÐÐÐÐ¥Ð Ð­Ð¯Ðª,ÐÐ Ð ÐÐ¥ÐÐ®ÐÐ¥Ð£ ÐÐÐÐÐ¥ÐÐ¡Ð§Ð«Ð¥Ð£ Ð¢Ð®ÐÐÐÐ ÐÐ Ð¯Ð¡Ð«ÐÐ¯Ð ÐÐ¡ÐÐ . Ð±Ðš ÐÐÐ€ÐÐ Ð Ð¯ÐÐ®ÐÐ®Ð Ð­,ÐÐ®ÐÐÐšÐ Ð® ÐÐ¥ ÐÐÐÐÐÐÐÐ¥Ðª, ÐÐ ÐÐÐÐ Ð¡ ÐâŠ Ð¥ÐÐÐÐÐ¥:ÐÐÐâŠÐÐšÐ - ÐÐÐª ÐÐÐÐÐ®ÐÐ­ÐÐÐ ÐÐÐÐÐÐÐÐ¥Ð¥,ÐÐÐ®Ð¯ÐÐšÐ - ÐÐÐª ÐÐ®ÐÐÐšÐ ÐÐ. ÐœÐÐÐ®ÐÐ,ÐÐÐŠÐÐ® Ð¥Ð Ð°Ð¥ÐÐÐ¥ÐÐ ÐÐÐÐÐŠÐ Ð¥ÐÐ ÐÐÐ¢ÐÐÐ¯Ð® ÐÐšÐ£ÐÐÐªÐ  ÐÐÐÐ€ÐÐÐÐÐÐÐÐÐÐ, ÐÐÐÐÐ¥ÐÐ¡Ð§Ð«Ð¥Ð Ð¢Ð®ÐÐ Ð¥ÐÐÐŠÐÐ® ÐÐ¯Ð Ð®ÐÐ Ð¯Ðª ÐÐ® ÐÐÐ¯Ð Ð. Ð¹ÐÐŠÐÐ® Ð±Ðš ÐÐ ÐÐÐšÐÐ®ÐÐ Ð Ð Ð®ÐÐ¡Ð§ ÐÐÐÐÐÐÐÐ¥Ð§, Ð°Ð¥ÐÐÐ¥ÐÐ ÐÐÐ® ÐÐ®ÐÐÐ®Ð¬Ð¥ÐÐ®ÐÐ ,Ð£ÐÐ Ð¥Ð Ð ÐÐ¥ Ð±Ðš "Ð¡ÐÐÐ®Ð¯Ð Ð­" ÐÐŠÐ Ð¡ÐÐÐ®ÐÐÐÐÐ¥Ð. ÐŒÐ¥ÐÐÐŠÐÐ® ÐÐ ÐÐÐÐ®ÐÐ Ð Ð©Ð ÐÐŠÐ,ÐÐ¯ÐÐ¥ ÐÐ Ð-Ð Ð ÐÐ«Ð Ð Ð Ð Ð€Ð Ð¯Ð®ÐÐÐ ÐÐÐÐÐª ÐÐ®ÐÐÐ Ð®ÐÐ .   
+<Break/>
+ÐÐŸÐ³ÐŽÐ° ÐÑ ÐŸÑÐºÑÑÐ²Ð°ÐµÑÐµ ÐºÐŸÐ»ÐµÐºÑÐžÑ, ÐºÐŸÑÐŸÑÐ°Ñ ÑÐŸÐ·ÐŽÐ°ÐœÐ° ÐœÐµ Ñ Ð¿ÐŸÐŒÐŸÑÑÑ Ð±ÐžÐ±Ð»ÐžÐŸÑÐµÑÐœÐŸÐ³ÐŸ ÐžÐœÑÐµÑÑÐµÐ¹ÑÐ°  Greenstone, ÐÐ°Ñ Ð¿ÐŸÐ¿ÑÐŸÑÑÑ Ð²ÑÐ±ÑÐ°ÑÑ ÐœÐ°Ð±ÐŸÑ (ÐžÐ»Ðž ÐœÐ°Ð±ÐŸÑÑ) ÐŒÐµÑÐ°ÐŽÐ°ÐœÐœÑÑ
+. ÐÑÐ»Ðž ÐœÐž ÐŸÐŽÐžÐœ ÐœÐµ ÐŸÑÐŸÐ±ÑÐ°Ðœ, Ð»ÑÐ±ÑÐµ ÑÑÑÐµÑÑÐ²ÑÑÑÐžÐµ ÐŒÐµÑÐ°ÐŽÐ°ÐœÐœÑÐµ Ð±ÑÐŽÑÑ ÐžÐ³ÐœÐŸÑÐžÑÐŸÐ²Ð°ÑÑÑÑ. ÐÐœÐ°ÑÐµ, ÐŒÐµÑÐ°ÐŽÐ°ÐœÐœÑÐµ Ð±ÑÐŽÑÑ ÐžÐŒÐ¿ÐŸÑÑÐžÑÐŸÐ²Ð°ÐœÑ ÑÐ°Ðº Ð¶Ðµ, ÐºÐ°Ðº Ðž ÐºÐŸÐ³ÐŽÐ° ÐÑ Ð¿ÐµÑÐµÑÑÐ³ÐžÐ²Ð°ÐµÑÐµ Ð² ÑÐ°Ð¹Ð»Ñ Ñ ÑÑÑÐµÑÑÐ²ÑÑÑÐžÐŒÐž ÐŒÐµÑÐ°ÐŽÐ°ÐœÐœÑÐŒÐž. ÐÑÐŸÑÐµÑÑ ÐŸÐ¿ÐžÑÐ°Ðœ Ð² ÐÐŒÐ¿ÐŸÑÑÐžÑÐŸÐ²Ð°ÐœÐžÐž Ð¿ÑÐµÐŽÐ²Ð°ÑÐžÑÐµÐ»ÑÐœÐŸ Ð²ÑÐ±ÑÐ°ÐœÐœÑÑ
+ ÐŒÐµÑÐ°ÐŽÐ°ÐœÐœÑÑ
+.
     </Section>
   </Section>
@@ -770,5 +778,5 @@
  Ð¹ÐÐŠÐÐ® Ð±Ðš ÐÐ®ÐÐ¥ÐÐ®ÐÐ Ð ÐÐÐÐ¯ÐÐÐ Ð ÐÐ¥ÐÐÐ ÐÐÐ¥Ð¯ÐÐ®, Ð¯ÐÐ®ÐÐ®ÐÐ® ÐÐšÐÐÐÐ¥Ð Ð "Ð±ÐÐÐÐÐ€ÐÐÐ¯Ð Ð­ ÐÐ®Ð¯Ð¬Ð¥ÐÐÐÐÐÐŠÐ ÐÐÐ¥Ð¯ÐÐ®",ÐÐÐ ÐÐÐšÐ Ð®ÐÐ Ð¥ÐÐ¥ÐÐ¥ÐÐ¡ÐÐ  ÐÐÐ¡ÐŠÐ¥Ð Ð¯ÐÐÐÐ¯Ð ÐÐ® Ð¡ÐÐÐ®ÐÐÐÐÐ¥Ðª.ÑÐ Ð ÐÐÐÐÐÐÐÐ¥Ð  ÐÐÐÐÐÐÐÐ¥Ð§ Ð Ð¢ÐÐÐÐ®Ð  Greenstone 2.4, ÐÐÐ ÐÐÐšÐ ÐÐÐÐÐÐÐ€Ð¥ÐÐ®ÐÐ  ÐÐÐ¥Ð¯Ð ÐÐ ÐÐÐÐªÐ Ð¥ ÐÐÐÐ®ÐÐ®ÐÐ , ÐÐ Ð (Ð®) - Ð¥ÐÐÐÐÐ¯ ÐÐ¥ÐÐ®ÐÐÐ® ÐªÐÐÐªÐÐ Ð¯Ðª ÐÐ ÐÐ¥ÐÐ®Ð§Ð«Ð¥ÐÐ¯Ðª,ÐÐÐÐªÐ¯ÐÐÐ Ð
  (<Reference target="searchindexes">Ñ
-ÐÐÐÐÐ¯Ðš ÐÐÐ¥Ð¯ÐÐ®</Reference>section);
+ÐÐÐÐÐ¯Ðš ÐÐÐ¥Ð¯ÐÐ®</Reference> section);
 (b) - Ð¥ÐÐÐÐ Ð¯Ðª ÐÐÐÐ­Ð¬Ð Ð¢ÐÐ®ÐŠÐÐÐÐ ÐÐ Ð ÐÐÐ¯Ð Ð® ÐÐÐª ÐÐÐÐÐÐÐÐ® (<Reference target="translatetext">ÐŸÐÐÐÐÐÐ</Reference>);(c) - ÐÐÐÐÐÐÐÐ¥Ðª ÐÐ ÐÐ¡ÐÐÐ  ÐŠÐÐÐÐ® Ð Ð¡ÐÐÐ ÐÐÐÐÐÐÐ¥Ð§ ÐÐÐ¥ ÐÐÐÐÐ Ð¯Ð Ð®ÐÐšÐ£ ÐÐÐÐ¯Ð¥ÐªÐ£ Greenstone. ÐµÐ¯ÐÐ¥ Ð±Ðš ÐÐÐÐ€Ð ÐÐ ÐÐÐÐÐÐÐ¥Ð Ð Ð©Ð Ð ÐÐÐÐ,Ð Ð ÐÐÐÐ­Ð¬Ð®Ðª ÐÐ®Ð¯Ð Ð­ Ð±Ð®Ð¬ÐÐ ÐÐÐÐÐÐÐÐ¥Ð¥ ÐÐÐÐâŠÐ Ð¯Ðª Ð Greenstone 2.39.ÐœÐÐÐ®ÐÐ Ð°Ð¥ÐÐÐ¥ÐÐ ÐÐÐÐšÐ Ð¥ÐÐ ÐÐÐ¢ÐÐÐ¯ ÐÐ ÐÐÐ€ÐÐ  ÐÐÐÐÐÐÐ®ÐÐÐÐ®Ð Ð­ ÐÐÐÐšÐ ÐÐÐÐÐÐÐÐÐÐ¥Ðª Ð¥ÐÐÐÐÐ¯Ð® Ð ÐÐÐÐÐ Ð¯Ð Ð®ÐÐšÐ,Ð Ð®Ð ÐÐ Ð Ð±Ðš ÐÐ¡ÐÐÐ Ð ÐÐÐÐ€ÐÐš ÐÐÐÐÐ¡Ð Ð­ Ð¥Ð£ ÐÐÐ¡ÐÐÐ¡Ð§.
  <Break/>
@@ -1207,4 +1215,23 @@
  ÑÐ¯ÐÐÐ¥Ð®Ð Ð¥ÐÐÐšÐ Ð¢Ð®ÐÐÐš Ð£ÐÐ®ÐÐªÐ Ð¯Ðª Ð ÐŠÐÐ®ÐÐÐÐ ÐÐ®ÐÐÐ Ð°Ð¥ÐÐÐ¥ÐÐ ÐÐÐÐÐŠÐ Ð¥ÐÐ ÐÐÐ¢ÐÐÐ¯Ð®, Ð Ð¢Ð®ÐÐÐ, ÐÐ®ÐÐšÐÐ®ÐÐÐÐ "associations.xml".
     </Section>
+    <Section name="exportingcollections">
+      <Title>Ð­ÐºÑÐ¿ÐŸÑÑ ÐºÐŸÐ»Ð»ÐµÐºÑÐžÐ¹ ÐœÐ° CD-ROM</Title>
+      
+Ð­ÑÐŸÑ ÑÐ°Ð·ÐŽÐµÐ» ÐŸÐ¿ÐžÑÑÐ²Ð°ÐµÑ, ÐºÐ°Ðº ÑÐºÑÐ¿ÐŸÑÑÐžÑÐŸÐ²Ð°ÑÑ ÐºÐŸÐ»Ð»ÐµÐºÑÐžÐž Ð² ÑÐ°ÐŒÐŸÑÑÑÐ°ÐœÐ°Ð²Ð»ÐžÐ²Ð°ÑÑÐžÐ¹ÑÑ CD-ROM Greenstone.
+      <Contents>
+        <ContentsGroup linkto="simple">
+          <ContentsItem>
+            ÐÐ°Ðº ÑÐºÑÐ¿ÐŸÑÑÐžÑÐŸÐ²Ð°ÑÑ
+          </ContentsItem>
+        </ContentsGroup>
+      </Contents>
+      <Anchor name="simple">ÐŸÐÐÐ¯Ð ÐšÐ Ð¥ÐÐ¯Ð ÐÐ¡ÐÐÐ¥Ð¥:</Anchor>
+Greenstone ÐŒÐŸÐ¶ÐµÑ ÑÐºÑÐ¿ÐŸÑÑÐžÑÐŸÐ²Ð°ÑÑ ÐŸÐŽÐœÑ ÐžÐ»Ðž Ð±ÐŸÐ»ÐµÐµ ÐºÐŸÐ»Ð»ÐµÐºÑÐžÐ¹ Ð² ÑÐ°ÐŒÐŸÑÑÑÐ°ÐœÐ°Ð²Ð»ÐžÐ²Ð°ÑÑÐžÐ¹ÑÑ CD-ROM Ð¿ÐŸÐŽ Windows. Ð§ÑÐŸÐ±Ñ ÑÑÐŸ ÑÐŽÐµÐ»Ð°ÑÑ, ÐŽÐŸÐ»Ð¶ÐµÐœ  Ð±ÑÑÑ ÑÑÑÐ°ÐœÐŸÐ²Ð»ÐµÐœ Ð¿Ð°ÐºÐµÑ "Ð­ÐºÑÐ¿ÐŸÑÑ Ð² CD-ROM". ÐÐœ ÐœÐµ Ð²ÐºÐ»ÑÑÐµÐœ Ð¿ÐŸ ÑÐŒÐŸÐ»ÑÐ°ÐœÐžÑ, Ð¿ÐŸÑÑÐŸÐŒÑ ÐÑ ÐŽÐŸÐ»Ð¶ÐœÑ ÐžÐ·ÐŒÐµÐœÐžÑÑ ÐÐ°ÑÑ ÐžÐœÑÑÐ°Ð»Ð»ÑÑÐžÑ, ÑÑÐŸÐ±Ñ ÐµÐ³ÐŸ Ð²ÐºÐ»ÑÑÐžÑÑ.
+<Break/>
+Ð§ÑÐŸÐ±Ñ ÑÐºÑÐ¿ÐŸÑÑÐžÑÐŸÐ²Ð°ÑÑ ÐºÐŸÐ»Ð»ÐµÐºÑÐžÑ, ÐŸÑÐºÑÐŸÐ¹ÑÐµ ÐŒÐµÐœÑ "Ð€Ð°Ð¹Ð»" Ðž Ð²ÑÐ±ÐµÑÐžÑÐµ "Ð­ÐºÑÐ¿ÐŸÑÑ Ð² CD-ROM". ÐÐŸÑÐ²Ð»ÑÐµÑÑÑ ÑÐ¿ÐžÑÐŸÐº ÐºÐŸÐ»Ð»ÐµÐºÑÐžÐ¹ ÑÐŸÐ±ÑÐ°ÐœÐžÐ¹ Greenstone; ÑÐµÐ»ÐºÐœÐžÑÐµ ÐœÐ° Ð»ÑÐ±ÐŸÐ¹, ÑÑÐŸÐ±Ñ ÑÐ²ÐžÐŽÐµÑÑ ÐµÐµ ÐŸÐ¿ÐžÑÐ°ÐœÐžÐµ. ÐÐŸÐŒÐµÑÑÑÐµ Ð²ÑÐ±ÑÐ°ÐœÐœÑÐµ Ð¿ÐŸÐ»Ñ ÐºÐŸÐ»Ð»ÐµÐºÑÐžÐ¹ ÐŽÐ»Ñ ÑÐºÑÐ¿ÐŸÑÑÐžÑÐŸÐ²Ð°ÐœÐžÑ. ÐÑ ÐŒÐŸÐ¶ÐµÑÐµ Ð²Ð²ÐµÑÑÐž ÐžÐŒÑ CD-ROM Ð² Ð¿ÐŸÐ»Ðµ: ÑÑÐŸ ÑÐŸ, ÑÑÐŸ Ð¿ÐŸÑÐ²ÐžÑÑÑ Ð² ÑÑÐ°ÑÑÐŸÐ²ÐŸÐŒ ÐŒÐµÐœÑ, ÐºÐŸÐ³ÐŽÐ° CD-ROM Ð±ÑÐŽÐµÑ ÑÑÑÐ°ÐœÐŸÐ²Ð»ÐµÐœ. ÐÐ°ÑÐµÐŒ ÑÐµÐ»ÐºÐœÐžÑÐµ "Ð­ÐºÑÐ¿ÐŸÑÑ". ÐÑÐŸÑÐµÑÑ Ð²ÐºÐ»ÑÑÐ°ÐµÑ ÐºÐŸÐ¿ÐžÑÐŸÐ²Ð°ÐœÐžÐµ ÐŒÐœÐŸÐ³ÐžÑ
+ ÑÐ°Ð¹Ð»ÐŸÐ² Ðž ÐŒÐŸÐ¶ÐµÑ Ð·Ð°ÐœÑÑÑ ÐœÐµÑÐºÐŸÐ»ÑÐºÐŸ ÐŒÐžÐœÑÑ.
+<Break/>
+ÐÐŸÑÐ»Ðµ ÐŸÐºÐŸÐœÑÐ°ÐœÐžÑ Greenstone Ð¿ÐŸÐºÐ°Ð¶ÐµÑ ÐžÐŒÑ Ð¿Ð°Ð¿ÐºÐž, ÑÐŸÐŽÐµÑÐ¶Ð°ÑÐµÐ¹ ÑÐºÑÐ¿ÐŸÑÑÐžÑÐŸÐ²Ð°ÐœÐœÑÐµ ÐºÐŸÐ»Ð»ÐµÐºÑÐžÐž. ÐÑÐ¿ÐŸÐ»ÑÐ·ÑÐ¹ÑÐµ Ð¿ÐžÑÑÑÐžÐ¹ ÐºÐŸÐŒÐ¿Ð°ÐºÑ-ÐŽÐžÑÐº ÐŽÐ»Ñ ÐºÐŸÐ¿ÐžÑÐŸÐ²Ð°ÐœÐžÑ ÐµÐ³ÐŸ ÑÐŸÐŽÐµÑÐ¶Ð°ÐœÐžÑ ÐœÐ° ÑÐžÑÑÑÐ¹ CD-ROM.
+    </Section>
   </Section>
 