Index: trunk/gsdl/perllib/strings_fr.rb
===================================================================
--- trunk/gsdl/perllib/strings_fr.rb	(revision 6919)
+++ trunk/gsdl/perllib/strings_fr.rb	(revision 6922)
@@ -3,17 +3,17 @@
 #
 
-common.cannot_create_file:ERREUR: impossible de crÃ©er le fichier
-
-common.cannot_find_cfg_file:ERREUR: fichier de configuration introuvable
-
-common.cannot_open:ERREUR: impossible d'ouvrir
-
-common.cannot_open_fail_log:ERREUR: Impossible d'ouvrir le log d'Ã©chec
-
-common.cannot_open_output_file:ERREUR: impossible d'ouvrir le fichier output
-
-common.cannot_read:ERREUR: impossible de lire
-
-common.cannot_read_file:ERREUR: impossible de lire le fichier
+common.cannot_create_file:ERREUR: impossible de crÃ©er le fichier %s
+
+common.cannot_find_cfg_file:ERREUR: fichier de configuration introuvable %s
+
+common.cannot_open:ERREUR: impossible d'ouvrir %s
+
+common.cannot_open_fail_log:ERREUR: Impossible d'ouvrir le log d'Ã©chec %s
+
+common.cannot_open_output_file:ERREUR: impossible d'ouvrir le fichier output %s
+
+common.cannot_read:ERREUR: impossible de lire %s
+
+common.cannot_read_file:ERREUR: impossible de lire le fichier %s
 
 common.general_options:options gÃ©nÃ©rales (pour %s)
@@ -51,5 +51,5 @@
 buildcol.cachedir:La collection sera temporairement construite ici avant d'Ãªtre copiÃ©e dans le le rÃ©pertoire de construction.
 
-buildcol.cannot_open_cfg_file:ATTENTION: Impossible d'ouvrir le fichier de configuration pour mise Ã  jour.
+buildcol.cannot_open_cfg_file:ATTENTION: Impossible d'ouvrir le fichier de configuration pour mise Ã  jour: %s
 
 buildcol.collectdir:RÃ©pertoire de la collection.
@@ -79,5 +79,5 @@
 buildcol.no_default_images:Des images par dÃ©faut ne seront gÃ©nÃ©rÃ©es.
 
-buildcol.no_image_script:ATTENTION: script de fabrication d'images introuvable
+buildcol.no_image_script:ATTENTION: script de fabrication d'images introuvable: %s
 
 buildcol.no_strip_html:Ne pas enlever les balises html du texte indexÃ© (utilisÃ© seulement pour les collections mgpp).
@@ -91,5 +91,5 @@
 buildcol.unlinked_col_images:Les images de la collection peuvent ne pas Ãªtre correctement Ãªtre liÃ©es.
 
-buildcol.unknown_mode:Mode inconnu
+buildcol.unknown_mode:Mode inconnu: %s
 
 buildcol.updating_archive_cache:Mise Ã  jour du cache d'archive
@@ -140,7 +140,7 @@
 import.archivedir:LÃ  oÃ¹ finissent le matÃ©riau converti.
 
-import.cannot_open_stats_file:ATTENTION: impossible d'ouvrir le fichier stats
-
-import.cannot_open_fail_log:Erreur: N'a pas pu ouvrir le journal des Ã©checs
+import.cannot_open_stats_file:ATTENTION: impossible d'ouvrir le fichier stats %s.
+
+import.cannot_open_fail_log:Erreur: N'a pas pu ouvrir le journal des Ã©checs %s
 
 
@@ -198,5 +198,5 @@
 mkcol.bad_name_modelcol:ERREUR: Aucune collection ne peut Ãªtre nommÃ©e modelcol puisque c'est le nom de la collection modÃšle.
 
-mkcol.cannot_find_modelcol:ERREUR: impossible de trouver la collection modÃšle
+mkcol.cannot_find_modelcol:ERREUR: impossible de trouver la collection modÃšle %s
 
 mkcol.col_already_exists:ERREUR: Cette collection existe dÃ©jÃ .
@@ -204,5 +204,5 @@
 mkcol.collectdir:Le rÃ©pertoire dans lequel la nouvelle collection va Ãªtre crÃ©Ã©e.
 
-mkcol.creating_col:CrÃ©ation de la collection
+mkcol.creating_col:CrÃ©ation de la collection %s
 
 mkcol.creator:L'adresse e-mail du crÃ©ateur de la collection.
@@ -212,5 +212,5 @@
 mkcol.desc:Script PERL utilisÃ© pour crÃ©er la structure de rÃ©pertoire pour une nouvelle collection Greenstone.
 
-mkcol.doing_replacements:en train d'effectuer des remplacements pour 
+mkcol.doing_replacements:en train d'effectuer des remplacements pour %s
 
 mkcol.long_colname:ERREUR: Le nom de collection doit Ãªtre de moins de 8 caractÃšres afin de maintenir la compatibilitÃ© avec des sytÃšmes prÃ©cÃ©dents.
@@ -218,5 +218,5 @@
 mkcol.maintainer:L'adresse e-mail du maintenancier de la collection (si diffÃ©rent du crÃ©ateur).
 
-mkcol.no_collectdir:ERREUR: Le rÃ©pertoire de la collection n'existe pas
+mkcol.no_collectdir:ERREUR: Le rÃ©pertoire de la collection n'existe pas: %s
 
 mkcol.no_colname:ERREUR: Aucun nom de collection n'a Ã©tÃ© spÃ©cifiÃ©.
@@ -232,5 +232,5 @@
 mkcol.quiet:Fonctionne en silence.
 
-mkcol.success:La nouvelle collection a Ã©tÃ© crÃ©e avec succÃšs Ã 
+mkcol.success:La nouvelle collection a Ã©tÃ© crÃ©e avec succÃšs Ã  %s
 
 mkcol.title:Le titre de la collection
@@ -305,5 +305,5 @@
 BasClas.desc:Classe de base pour tous les classificateurs.
 
-BasClas.buttonname.deft:ElÃ©ment de mÃ©ta-donnÃ©e spÃ©cifiÃ© avec -metadata
+BasClas.metadata.deft:ElÃ©ment de mÃ©ta-donnÃ©e spÃ©cifiÃ© avec -metadata
 
 BasClas.outhandle:Le fichier qui va recevoir les rÃ©sultats.