Index: /trunk/gli/help/es/help.xml
===================================================================
--- /trunk/gli/help/es/help.xml	(revision 6953)
+++ /trunk/gli/help/es/help.xml	(revision 6954)
@@ -831,4 +831,5 @@
       <Contents>
         <ContentsGroup linkto="simple">
+	  <ContentsItem>Modo</ContentsItem>
 	  <ContentsItem>Flujo de trabajo</ContentsItem>
 	  <ContentsItem>ConexiÃ³n</ContentsItem>
@@ -842,4 +843,6 @@
       <Break/>
       La tercera opciÃ³n "general" es una lista descendente de los diferentes idiomas en los que se puede presentar la Interfaz de la Biblioteca Digital. Estos corresponden a los diccionarios que se encuentran en la carpeta de "clases" en el directorio de la interfaz. Si usted cambia el diccionario eligiendo un idioma de la lista, entonces deberÃ¡ reinicar la Interfaz de la Biblioteca Digital para poder cargar las cadenas de texto en el nuevo idioma.
+      <Break/>
+      La pantalla de "Modo" se utiliza para controlar el nivel de detalle dentro de la interfaz. En su nivel mÃ¡s bÃ¡sico, "Asistente de Biblioteca", la pantalla de diseÃ±o estÃ¡ inhabilitada, los argumentos que requieren expresiones regulares estÃ¡n ocultos y el proceso de construcciÃ³n de la colecciÃ³n registra un mÃ­nimo de eventos. En comparaciÃ³n, el nivel mÃ¡s alto, "Avanzado", le da acceso a todas las funciones de diseÃ±o, incluyendo la posiciÃ³n de los plugins y argumentos con expresiones regulares, ademÃ¡s de permitir un registro completo del proceso de construcciÃ³n de la colecciÃ³n. Para cambiar o revisar los modos, haga click en el botÃ³n que se encuentra junto al modo en el que usted estÃ© interesado. De esta manera usted puede revisar rÃ¡pidamente el modo en el que estÃ¡ viendo la barra de tÃ­tulo de la Interfaz de la Biblioteca Digital.
       <Break/>
       La Interfaz de la Biblioteca Digital puede soportar diferentes flujos de trabajo determinando cuÃ¡les de las pestaÃ±as de las diferentes pantallas estarÃ¡n visibles. Utilice la pestaÃ±a "Flujo de trabajo" para determinar quÃ© pantallas estarÃ¡n disponibles marcando los recuadros que estÃ¡n junto al nombre de cada una de ellas. De forma alternativa utilice la lista descendente que se encuentra en la parte inferior para seleccionar las configuraciones predeterminadas. Al cerrar el cuadro de preferencias se aplicarÃ¡n los ajustes. Estos se guardan junto con la colecciÃ³n, no en el archivo de configuraciÃ³n de la Interfaz de la Biblioteca Digital.
Index: /trunk/gli/help/es/preferences.htm
===================================================================
--- /trunk/gli/help/es/preferences.htm	(revision 6953)
+++ /trunk/gli/help/es/preferences.htm	(revision 6954)
@@ -25,4 +25,8 @@
 <tr>
 <td colspan="3"><a href="#simple">Instrucciones b&aacute;sicas:</a></td>
+</tr>
+	  
+<tr>
+<td colspan="1"> </td><td colspan="2">Modo</td>
 </tr>
 	  
@@ -55,4 +59,6 @@
       La tercera opci&oacute;n "general" es una lista descendente de los diferentes idiomas en los que se puede presentar la Interfaz de la Biblioteca Digital. Estos corresponden a los diccionarios que se encuentran en la carpeta de "clases" en el directorio de la interfaz. Si usted cambia el diccionario eligiendo un idioma de la lista, entonces deber&aacute; reinicar la Interfaz de la Biblioteca Digital para poder cargar las cadenas de texto en el nuevo idioma.
       <p></p>
+      La pantalla de "Modo" se utiliza para controlar el nivel de detalle dentro de la interfaz. En su nivel m&aacute;s b&aacute;sico, "Asistente de Biblioteca", la pantalla de dise&ntilde;o est&aacute; inhabilitada, los argumentos que requieren expresiones regulares est&aacute;n ocultos y el proceso de construcci&oacute;n de la colecci&oacute;n registra un m&iacute;nimo de eventos. En comparaci&oacute;n, el nivel m&aacute;s alto, "Avanzado", le da acceso a todas las funciones de dise&ntilde;o, incluyendo la posici&oacute;n de los plugins y argumentos con expresiones regulares, adem&aacute;s de permitir un registro completo del proceso de construcci&oacute;n de la colecci&oacute;n. Para cambiar o revisar los modos, haga click en el bot&oacute;n que se encuentra junto al modo en el que usted est&eacute; interesado. De esta manera usted puede revisar r&aacute;pidamente el modo en el que est&aacute; viendo la barra de t&iacute;tulo de la Interfaz de la Biblioteca Digital.
+      <p></p>
       La Interfaz de la Biblioteca Digital puede soportar diferentes flujos de trabajo determinando cu&aacute;les de las pesta&ntilde;as de las diferentes pantallas estar&aacute;n visibles. Utilice la pesta&ntilde;a "Flujo de trabajo" para determinar qu&eacute; pantallas estar&aacute;n disponibles marcando los recuadros que est&aacute;n junto al nombre de cada una de ellas. De forma alternativa utilice la lista descendente que se encuentra en la parte inferior para seleccionar las configuraciones predeterminadas. Al cerrar el cuadro de preferencias se aplicar&aacute;n los ajustes. Estos se guardan junto con la colecci&oacute;n, no en el archivo de configuraci&oacute;n de la Interfaz de la Biblioteca Digital.
       <p></p>
Index: /trunk/gli/help/fr/help.xml
===================================================================
--- /trunk/gli/help/fr/help.xml	(revision 6953)
+++ /trunk/gli/help/fr/help.xml	(revision 6954)
@@ -1048,13 +1048,8 @@
       <Contents>
         <ContentsGroup linkto="simple">
-          <ContentsItem>
-            "Workflow" Flux de travail
-          </ContentsItem>
-          <ContentsItem>
-            Connexion
-          </ContentsItem>
-          <ContentsItem>
-            Avertissement
-          </ContentsItem>
+	  <ContentsItem>Mode</ContentsItem>
+          <ContentsItem>Flux de travail</ContentsItem>
+          <ContentsItem>Connexion</ContentsItem>
+          <ContentsItem>Avertissement</ContentsItem>
         </ContentsGroup>
       </Contents>
@@ -1065,4 +1060,6 @@
       <Break/>
       La troisiÃšme option "GÃ©nÃ©ral" est une liste dÃ©roulante contenant les diffÃ©rents langages qui peuvent Ãªtre introduits dans l'Interface BibliothÃ©caire. Ceux-ci correspondent aux dictionnaires placÃ©s dans le dossier "Classes" du rÃ©pertoire de l'Interface BibliothÃ©caire. Si on change le dictionnaire par le choix d'un autre sur la liste, on doit redÃ©marrer l'Interface BibliothÃ©caire pour charger les chaÃ®nes du nouveau langage Ã  partir du dictionnaire.
+      <Break/>
+      Le panneau "Mode" est utilisÃ© pour contrÃŽler le niveau du dÃ©tail dans l'interface. Dans sa configuration la plus basse, "Librarian Assistant", la vue de dÃ©coration, est dÃ©sactivÃ©e, les arguments qui requiÃšrent des expressions ordinaires sont cachÃ©s, et la construction de la collection produit un enregistrement minimal d'Ã©vÃšnements. Par contre, la configuration la plus Ã©levÃ©e, "Expert", donne l'accÃšs Ã  toutes les fonctionnalitÃ©s de dÃ©coration, y compris le positionnement de plugin, et les arguments d'expressions ordinaires; elle permet aussi l'enregistrement de l'intÃ©gralitÃ© des messages lors de la construction de la collection. Pour changer ou revoir les modes, cliquez sur le bouton radio situÃ© Ã  cÃŽtÃ© du mode qui vous intÃ©resse. Vous pouvez contrÃŽler rapidement le mode dans lequel vous vous trouvez en regardant la barre de titre de Librarian Interface.
       <Break/>
       L'Interface BibliothÃ©caire est capable de supporter diffÃ©rents flux de travail en dÃ©terminant lesquels des diffÃ©rents onglets d'affichage sont visibles. Utiliser l'onglet "Workflow" pour adapter les fenÃªtres d'affichage disponibles en cochant les boÃ®tes qui sont Ã  cÃŽtÃ© des affichages souhaitÃ©s. On peut aussi utiliser la liste dÃ©roulante pour sÃ©lectionner des configurations prÃ©dÃ©terminÃ©es. La fermeture du dialogue des prÃ©fÃ©rences Ã©tablit ces paramÃštres de workflow (flux de travail). Ces paramÃštres sont emmagasinnÃ©s dans la collection, et non dans le fichier de configuration de l'Interface BibliothÃ©caire.
Index: /trunk/gli/help/fr/preferences.htm
===================================================================
--- /trunk/gli/help/fr/preferences.htm	(revision 6953)
+++ /trunk/gli/help/fr/preferences.htm	(revision 6954)
@@ -26,21 +26,19 @@
 <td colspan="3"><a href="#simple">Instructions simples:</a></td>
 </tr>
-          
+	  
 <tr>
-<td colspan="1"> </td><td colspan="2">
-            "Workflow" Flux de travail
-          </td>
+<td colspan="1"> </td><td colspan="2">Mode</td>
 </tr>
           
 <tr>
-<td colspan="1"> </td><td colspan="2">
-            Connexion
-          </td>
+<td colspan="1"> </td><td colspan="2">Flux de travail</td>
 </tr>
           
 <tr>
-<td colspan="1"> </td><td colspan="2">
-            Avertissement
-          </td>
+<td colspan="1"> </td><td colspan="2">Connexion</td>
+</tr>
+          
+<tr>
+<td colspan="1"> </td><td colspan="2">Avertissement</td>
 </tr>
         
@@ -61,4 +59,6 @@
       La troisi&egrave;me option "G&eacute;n&eacute;ral" est une liste d&eacute;roulante contenant les diff&eacute;rents langages qui peuvent &ecirc;tre introduits dans l'Interface Biblioth&eacute;caire. Ceux-ci correspondent aux dictionnaires plac&eacute;s dans le dossier "Classes" du r&eacute;pertoire de l'Interface Biblioth&eacute;caire. Si on change le dictionnaire par le choix d'un autre sur la liste, on doit red&eacute;marrer l'Interface Biblioth&eacute;caire pour charger les cha&icirc;nes du nouveau langage &agrave; partir du dictionnaire.
       <p></p>
+      Le panneau "Mode" est utilis&eacute; pour contr&ocirc;ler le niveau du d&eacute;tail dans l'interface. Dans sa configuration la plus basse, "Librarian Assistant", la vue de d&eacute;coration, est d&eacute;sactiv&eacute;e, les arguments qui requi&egrave;rent des expressions ordinaires sont cach&eacute;s, et la construction de la collection produit un enregistrement minimal d'&eacute;v&egrave;nements. Par contre, la configuration la plus &eacute;lev&eacute;e, "Expert", donne l'acc&egrave;s &agrave; toutes les fonctionnalit&eacute;s de d&eacute;coration, y compris le positionnement de plugin, et les arguments d'expressions ordinaires; elle permet aussi l'enregistrement de l'int&eacute;gralit&eacute; des messages lors de la construction de la collection. Pour changer ou revoir les modes, cliquez sur le bouton radio situ&eacute; &agrave; c&ocirc;t&eacute; du mode qui vous int&eacute;resse. Vous pouvez contr&ocirc;ler rapidement le mode dans lequel vous vous trouvez en regardant la barre de titre de Librarian Interface.
+      <p></p>
       L'Interface Biblioth&eacute;caire est capable de supporter diff&eacute;rents flux de travail en d&eacute;terminant lesquels des diff&eacute;rents onglets d'affichage sont visibles. Utiliser l'onglet "Workflow" pour adapter les fen&ecirc;tres d'affichage disponibles en cochant les bo&icirc;tes qui sont &agrave; c&ocirc;t&eacute; des affichages souhait&eacute;s. On peut aussi utiliser la liste d&eacute;roulante pour s&eacute;lectionner des configurations pr&eacute;d&eacute;termin&eacute;es. La fermeture du dialogue des pr&eacute;f&eacute;rences &eacute;tablit ces param&egrave;tres de workflow (flux de travail). Ces param&egrave;tres sont emmagasinn&eacute;s dans la collection, et non dans le fichier de configuration de l'Interface Biblioth&eacute;caire.
       <p></p>